Bug 34031 - Update Hunspell library
Summary: Update Hunspell library
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Linguistic (show other bugs)
Version:
(earliest affected)
4.3.0.0.beta2
Hardware: All All
: high normal
Assignee: Caolán McNamara
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-02-08 04:23 UTC by László Németh
Modified: 2014-07-19 13:17 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Gzipped patch file for module hunspell/ to update Hunspell library (1.3.1) (81.84 KB, patch)
2011-02-08 04:29 UTC, László Németh
Details

Note You need to log in before you can comment on or make changes to this bug.
Description László Németh 2011-02-08 04:23:12 UTC
Please, update Hunspell library to version 1.3.1. This version contains several 
improvements especially for Dutch, German and other Germanic languages with 
extended compound word usage. The development was supported by OpenTaal 
Foundation and Dutch Language Union, see also http://sf.own-
it.nl/wiki/opentaal/Wijzigingen_in_Hunspell_die_voor_ons_worden_gemaakt.
Firefox integration is in progress, see my comment about verification on English 
and German word lists: https://bugzilla.mozilla.org/show_bug.cgi?id=620626#c43.
(spell checking and morphological analysis also tested on a 1 million-word Hungarian database).

Source: http://sourceforge.net/projects/hunspell/files/Hunspell/1.3.1/hunspell-
1.3.1.tar.gz/download

A patch for the hunspell module is also attached.
Comment 1 László Németh 2011-02-08 04:29:00 UTC
Created attachment 43094 [details]
Gzipped patch file for module hunspell/ to update Hunspell library (1.3.1)

The attached patch contains the following gcc warning fix (maybe Mozilla specific), too: https://sourceforge.net/tracker/?func=detail&atid=756395&aid=3166279&group_id=143754
Comment 2 László Németh 2011-02-08 04:33:57 UTC
Caolan, could you help in Hunspell update? Thanks in advance.
Comment 3 Caolán McNamara 2011-02-08 05:12:56 UTC
Which reminds me, do you have commit access to LibreOffice ?, 

i.e. 
http://wiki.documentfoundation.org/Development#Getting_and_using_commit_access

It'd be good to have you able to commit these updates in directly without messing around with middle-men :-)
Comment 4 László Németh 2011-02-08 06:29:41 UTC
(In reply to comment #3)

Thanks, I created my account request (https://bugs.freedesktop.org//show_bug.cgi?id=34035).
Comment 5 Caolán McNamara 2011-02-08 06:52:06 UTC
done, hopefully will continue to build under windows which I don't have :-)
Comment 6 Caolán McNamara 2011-02-08 06:52:36 UTC
done I said
Comment 7 László Németh 2011-02-08 07:15:04 UTC
(In reply to comment #5)
> done, hopefully will continue to build under windows which I don't have :-)

I have fixed the Visual C++ warnings reported from Mozilla volunteer Ryan VanderMeulen, so I hope, too. Many thanks for your help.
Comment 8 jorgequinonez 2014-06-07 17:17:51 UTC
Hunspell 1.3.3 came out June 2, 2014:

http://sourceforge.net/projects/hunspell/files/Hunspell/
Comment 9 Adolfo Jayme 2014-06-08 14:37:32 UTC
Do not just reopen old bugs when new versions come out. Please file new ones instead.
Comment 10 László Németh 2014-06-09 00:46:49 UTC
(In reply to comment #8)
> Hunspell 1.3.3 came out June 2, 2014:
> 
> http://sourceforge.net/projects/hunspell/files/Hunspell/

Library related parts of Hunspell 1.3.3 (including the improved long Windows path name support), have already been parts of LibreOffice, as patches, so it is not need to update the library. Thanks for your report! László
Comment 11 penttila 2014-07-15 13:16:12 UTC
Even in that case when all modifications of Hunspell 1.3.3 are included as patches in the used/current version it would be nicer to update the whole library. This would create a clear situation for everybody without any further explanation! Is it such a big work? 

I think the same applies for Hyphen. The last version is 2.8.7!
Comment 12 Thomas Arnhold 2014-07-19 13:17:07 UTC
penttilla: We use Hypen 2.8.7 on master, see http://cgit.freedesktop.org/libreoffice/core/commit/external/hyphen?id=77af6cd18c2df43b75cd2c973a5267647de2f6e5